Skip to main content
PATCH
Update Tool

Authorizations

x-api-key
string
header
required

API key for programmatic access

Path Parameters

tool_id
string
required

ID of the requested tool.

Body

application/json

Request body for creating/updating a tool.

Note: System tools are configured via the agent's built_in_tools, not the tools API. Use PATCH /v1/convai/agents/{agent_id} to configure system tools like end_call, transfer_to_agent, transfer_to_number, etc.

tool_config
WebhookToolConfig · object
required

A webhook tool is a tool that calls an external webhook from our server.

Example:

Response

Successful Response

Response model for a single tool

id
string
required

The tool ID

created_at_unix_secs
integer
required

Unix timestamp when the tool was created

tool_config
WebhookToolConfig · object
required

A webhook tool is a tool that calls an external webhook from our server.

Example:
access_info
ResourceAccessInfo · object
required

Access information for this tool

usage_stats
ToolUsageStatsResponseModel · object
required

Usage statistics for this tool